#pragma once
#ifndef EDITOR_DOC_H_
#define EDITOR_DOC_H_

#include "AttilaDocument.H"
using namespace Attila;

class CEditorDoc : public CDocument
{
public:
    // ctor
    CEditorDoc();

// Overrides
public:
    void DeleteContents();
    const TCHAR* GetFilterString() const;
    const TCHAR* GetDefaultExtension() const;

// Serialize
public:
    bool Save(const TCHAR* szPathName);
    bool Load(const TCHAR* szPathName);


// Data access
public:
    void SetText(const TCHAR* szText);
    const TCHAR* GetText() const;

// Data
private:
    TCHAR m_Text[50];
};

#endif 

